/* WifiMenuItem.c generated by valac 0.34.4, the Vala compiler
 * generated from WifiMenuItem.vala, do not modify */

/*
 * Copyright (c) 2015 Wingpanel Developers (http://launchpad.net/wingpanel)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <nm-access-point.h>
#include <gdk/gdk.h>
#include <glib/gi18n-lib.h>
#include <NetworkManager.h>
#include <nm-utils.h>
#include <stdlib.h>
#include <string.h>


#define NETWORK_TYPE_WIFI_MENU_ITEM (network_wifi_menu_item_get_type ())
#define NETWORK_WIFI_MENU_ITEM(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem))
#define NETWORK_WIFI_MENU_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItemClass))
#define NETWORK_IS_WIFI_MENU_ITEM(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NETWORK_TYPE_WIFI_MENU_ITEM))
#define NETWORK_IS_WIFI_MENU_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NETWORK_TYPE_WIFI_MENU_ITEM))
#define NETWORK_WIFI_MENU_ITEM_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItemClass))

typedef struct _NetworkWifiMenuItem NetworkWifiMenuItem;
typedef struct _NetworkWifiMenuItemClass NetworkWifiMenuItemClass;
typedef struct _NetworkWifiMenuItemPrivate NetworkWifiMenuItemPrivate;

#define NETWORK_TYPE_STATE (network_state_get_type ())
#define __g_list_free__g_object_unref0_0(var) ((var == NULL) ? NULL : (var = (_g_list_free__g_object_unref0_ (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

struct _NetworkWifiMenuItem {
	GtkListBoxRow parent_instance;
	NetworkWifiMenuItemPrivate * priv;
};

struct _NetworkWifiMenuItemClass {
	GtkListBoxRowClass parent_class;
};

typedef enum  {
	NETWORK_STATE_DISCONNECTED,
	NETWORK_STATE_DISCONNECTED_WIRED,
	NETWORK_STATE_DISCONNECTED_AIRPLANE_MODE,
	NETWORK_STATE_CONNECTED_WIRED,
	NETWORK_STATE_CONNECTED_WIFI,
	NETWORK_STATE_CONNECTED_WIFI_WEAK,
	NETWORK_STATE_CONNECTED_WIFI_OK,
	NETWORK_STATE_CONNECTED_WIFI_GOOD,
	NETWORK_STATE_CONNECTED_WIFI_EXCELLENT,
	NETWORK_STATE_CONNECTING_WIFI,
	NETWORK_STATE_CONNECTING_WIRED,
	NETWORK_STATE_FAILED_WIRED,
	NETWORK_STATE_FAILED_WIFI
} NetworkState;

struct _NetworkWifiMenuItemPrivate {
	GList* _ap;
	NetworkState _state;
	NMAccessPoint* _tmp_ap;
	GtkRadioButton* radio_button;
	GtkImage* img_strength;
	GtkImage* lock_img;
	GtkImage* error_img;
	GtkSpinner* spinner;
};


static gpointer network_wifi_menu_item_parent_class = NULL;

GType network_wifi_menu_item_get_type (void) G_GNUC_CONST;
GType network_state_get_type (void) G_GNUC_CONST;
#define NETWORK_WIFI_MENU_ITEM_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItemPrivate))
enum  {
	NETWORK_WIFI_MENU_ITEM_DUMMY_PROPERTY,
	NETWORK_WIFI_MENU_ITEM_SSID,
	NETWORK_WIFI_MENU_ITEM_STATE,
	NETWORK_WIFI_MENU_ITEM_STRENGTH,
	NETWORK_WIFI_MENU_ITEM_IS_SECURED,
	NETWORK_WIFI_MENU_ITEM_AP
};
static void _g_object_unref0_ (gpointer var);
static void _g_list_free__g_object_unref0_ (GList* self);
NetworkWifiMenuItem* network_wifi_menu_item_new (NMAccessPoint* ap, NetworkWifiMenuItem* previous);
NetworkWifiMenuItem* network_wifi_menu_item_construct (GType object_type, NMAccessPoint* ap, NetworkWifiMenuItem* previous);
static GSList* network_wifi_menu_item_get_group (NetworkWifiMenuItem* self);
static gboolean __lambda6_ (NetworkWifiMenuItem* self, GtkWidget* b, GdkEventButton* ev);
static gboolean ___lambda6__gtk_widget_button_release_event (GtkWidget* _sender, GdkEventButton* event, gpointer self);
void network_wifi_menu_item_add_ap (NetworkWifiMenuItem* self, NMAccessPoint* ap);
static void network_wifi_menu_item_update (NetworkWifiMenuItem* self);
static void _network_wifi_menu_item_update_g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
NetworkWifiMenuItem* network_wifi_menu_item_new_blank (void);
NetworkWifiMenuItem* network_wifi_menu_item_construct_blank (GType object_type);
static void network_wifi_menu_item_update_tmp_ap (NetworkWifiMenuItem* self);
void network_wifi_menu_item_set_active (NetworkWifiMenuItem* self, gboolean active);
static void network_wifi_menu_item_set_lock_img_tooltip (NetworkWifiMenuItem* self, NM80211ApSecurityFlags flags);
NMAccessPoint* network_wifi_menu_item_get_ap (NetworkWifiMenuItem* self);
static gchar* network_wifi_menu_item_strength_to_string (NetworkWifiMenuItem* self, guint8 strength);
guint8 network_wifi_menu_item_get_strength (NetworkWifiMenuItem* self);
gboolean network_wifi_menu_item_get_is_secured (NetworkWifiMenuItem* self);
static void network_wifi_menu_item_hide_item (NetworkWifiMenuItem* self, GtkWidget* w);
NetworkState network_wifi_menu_item_get_state (NetworkWifiMenuItem* self);
static void network_wifi_menu_item_show_item (NetworkWifiMenuItem* self, GtkWidget* w);
void network_wifi_menu_item_hide_icons (NetworkWifiMenuItem* self);
gboolean network_wifi_menu_item_remove_ap (NetworkWifiMenuItem* self, NMAccessPoint* ap);
GByteArray* network_wifi_menu_item_get_ssid (NetworkWifiMenuItem* self);
void network_wifi_menu_item_set_state (NetworkWifiMenuItem* self, NetworkState value);
static void network_wifi_menu_item_finalize (GObject* obj);
static void _vala_network_wifi_menu_item_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_network_wifi_menu_item_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


static void _g_object_unref0_ (gpointer var) {
#line 19 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 134 "WifiMenuItem.c"
}


static void _g_list_free__g_object_unref0_ (GList* self) {
#line 19 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_list_foreach (self, (GFunc) _g_object_unref0_, NULL);
#line 19 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_list_free (self);
#line 143 "WifiMenuItem.c"
}


static gboolean __lambda6_ (NetworkWifiMenuItem* self, GtkWidget* b, GdkEventButton* ev) {
	gboolean result = FALSE;
#line 60 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (b != NULL, FALSE);
#line 60 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (ev != NULL, FALSE);
#line 61 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_signal_emit_by_name (self, "user-action");
#line 62 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	result = FALSE;
#line 62 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	return result;
#line 159 "WifiMenuItem.c"
}


static gboolean ___lambda6__gtk_widget_button_release_event (GtkWidget* _sender, GdkEventButton* event, gpointer self) {
	gboolean result;
	result = __lambda6_ ((NetworkWifiMenuItem*) self, _sender, event);
#line 60 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	return result;
#line 168 "WifiMenuItem.c"
}


static void _network_wifi_menu_item_update_g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 92 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_update ((NetworkWifiMenuItem*) self);
#line 175 "WifiMenuItem.c"
}


NetworkWifiMenuItem* network_wifi_menu_item_construct (GType object_type, NMAccessPoint* ap, NetworkWifiMenuItem* previous) {
	NetworkWifiMenuItem * self = NULL;
	GtkBox* main_box = NULL;
	GtkBox* _tmp0_ = NULL;
	GtkRadioButton* _tmp1_ = NULL;
	GtkRadioButton* _tmp2_ = NULL;
	NetworkWifiMenuItem* _tmp3_ = NULL;
	GtkRadioButton* _tmp7_ = NULL;
	GtkImage* _tmp8_ = NULL;
	GtkImage* _tmp9_ = NULL;
	GtkImage* _tmp10_ = NULL;
	GtkImage* _tmp11_ = NULL;
	GtkImage* _tmp12_ = NULL;
	GtkImage* _tmp13_ = NULL;
	GtkImage* _tmp14_ = NULL;
	const gchar* _tmp15_ = NULL;
	GtkSpinner* _tmp16_ = NULL;
	GtkSpinner* _tmp17_ = NULL;
	GtkSpinner* _tmp18_ = NULL;
	GtkSpinner* _tmp19_ = NULL;
	GtkSpinner* _tmp20_ = NULL;
	gboolean _tmp21_ = FALSE;
	gboolean _tmp22_ = FALSE;
	GtkBox* _tmp23_ = NULL;
	GtkRadioButton* _tmp24_ = NULL;
	GtkBox* _tmp25_ = NULL;
	GtkSpinner* _tmp26_ = NULL;
	GtkBox* _tmp27_ = NULL;
	GtkImage* _tmp28_ = NULL;
	GtkBox* _tmp29_ = NULL;
	GtkImage* _tmp30_ = NULL;
	GtkBox* _tmp31_ = NULL;
	GtkImage* _tmp32_ = NULL;
	NMAccessPoint* _tmp33_ = NULL;
	GtkRadioButton* _tmp34_ = NULL;
	GtkBox* _tmp35_ = NULL;
	GtkStyleContext* _tmp36_ = NULL;
#line 54 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (ap != NULL, NULL);
#line 54 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	self = (NetworkWifiMenuItem*) g_object_new (object_type, NULL);
#line 55 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 6);
#line 55 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp0_);
#line 55 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	main_box = _tmp0_;
#line 56 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = (GtkRadioButton*) gtk_radio_button_new (NULL);
#line 56 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp1_);
#line 56 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->radio_button);
#line 56 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	self->priv->radio_button = _tmp1_;
#line 57 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp2_ = self->priv->radio_button;
#line 57 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_margin_start ((GtkWidget*) _tmp2_, 6);
#line 58 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp3_ = previous;
#line 58 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	if (_tmp3_ != NULL) {
#line 242 "WifiMenuItem.c"
		GtkRadioButton* _tmp4_ = NULL;
		NetworkWifiMenuItem* _tmp5_ = NULL;
		GSList* _tmp6_ = NULL;
#line 58 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		_tmp4_ = self->priv->radio_button;
#line 58 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		_tmp5_ = previous;
#line 58 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		_tmp6_ = network_wifi_menu_item_get_group (_tmp5_);
#line 58 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		gtk_radio_button_set_group (_tmp4_, _tmp6_);
#line 254 "WifiMenuItem.c"
	}
#line 60 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp7_ = self->priv->radio_button;
#line 60 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_signal_connect_object ((GtkWidget*) _tmp7_, "button-release-event", (GCallback) ___lambda6__gtk_widget_button_release_event, self, 0);
#line 65 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp8_ = (GtkImage*) gtk_image_new ();
#line 65 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp8_);
#line 65 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->img_strength);
#line 65 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	self->priv->img_strength = _tmp8_;
#line 66 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp9_ = self->priv->img_strength;
#line 66 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_margin_end ((GtkWidget*) _tmp9_, 6);
#line 68 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp10_ = (GtkImage*) gtk_image_new_from_icon_name ("channel-secure-symbolic", GTK_ICON_SIZE_MENU);
#line 68 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp10_);
#line 68 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->lock_img);
#line 68 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	self->priv->lock_img = _tmp10_;
#line 69 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp11_ = self->priv->lock_img;
#line 69 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_margin_start ((GtkWidget*) _tmp11_, 6);
#line 72 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp12_ = (GtkImage*) gtk_image_new_from_icon_name ("process-error-symbolic", GTK_ICON_SIZE_MENU);
#line 72 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp12_);
#line 72 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->error_img);
#line 72 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	self->priv->error_img = _tmp12_;
#line 73 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp13_ = self->priv->error_img;
#line 73 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_margin_start ((GtkWidget*) _tmp13_, 6);
#line 74 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp14_ = self->priv->error_img;
#line 74 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp15_ = _ ("This wireless network could not be connected to.");
#line 74 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp14_, _tmp15_);
#line 76 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp16_ = (GtkSpinner*) gtk_spinner_new ();
#line 76 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp16_);
#line 76 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->spinner);
#line 76 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	self->priv->spinner = _tmp16_;
#line 77 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp17_ = self->priv->spinner;
#line 77 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_spinner_start (_tmp17_);
#line 78 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp18_ = self->priv->spinner;
#line 78 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp18_, FALSE);
#line 79 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp19_ = self->priv->spinner;
#line 79 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp20_ = self->priv->spinner;
#line 79 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp21_ = gtk_widget_get_visible ((GtkWidget*) _tmp20_);
#line 79 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp22_ = _tmp21_;
#line 79 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_no_show_all ((GtkWidget*) _tmp19_, !_tmp22_);
#line 81 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp23_ = main_box;
#line 81 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp24_ = self->priv->radio_button;
#line 81 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_box_pack_start (_tmp23_, (GtkWidget*) _tmp24_, TRUE, TRUE, (guint) 0);
#line 82 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp25_ = main_box;
#line 82 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp26_ = self->priv->spinner;
#line 82 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_box_pack_start (_tmp25_, (GtkWidget*) _tmp26_, FALSE, FALSE, (guint) 0);
#line 83 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp27_ = main_box;
#line 83 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp28_ = self->priv->error_img;
#line 83 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_box_pack_start (_tmp27_, (GtkWidget*) _tmp28_, FALSE, FALSE, (guint) 0);
#line 84 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp29_ = main_box;
#line 84 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp30_ = self->priv->lock_img;
#line 84 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_box_pack_start (_tmp29_, (GtkWidget*) _tmp30_, FALSE, FALSE, (guint) 0);
#line 85 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp31_ = main_box;
#line 85 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp32_ = self->priv->img_strength;
#line 85 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_box_pack_start (_tmp31_, (GtkWidget*) _tmp32_, FALSE, FALSE, (guint) 0);
#line 87 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	__g_list_free__g_object_unref0_0 (self->priv->_ap);
#line 87 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	self->priv->_ap = NULL;
#line 90 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp33_ = ap;
#line 90 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_add_ap (self, _tmp33_);
#line 92 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_signal_connect_object ((GObject*) self, "notify::state", (GCallback) _network_wifi_menu_item_update_g_object_notify, self, 0);
#line 93 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp34_ = self->priv->radio_button;
#line 93 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_signal_connect_object ((GObject*) _tmp34_, "notify::active", (GCallback) _network_wifi_menu_item_update_g_object_notify, self, 0);
#line 94 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp35_ = main_box;
#line 94 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp35_);
#line 95 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp36_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 95 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_style_context_add_class (_tmp36_, "menuitem");
#line 54 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (main_box);
#line 54 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	return self;
#line 384 "WifiMenuItem.c"
}


NetworkWifiMenuItem* network_wifi_menu_item_new (NMAccessPoint* ap, NetworkWifiMenuItem* previous) {
#line 54 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	return network_wifi_menu_item_construct (NETWORK_TYPE_WIFI_MENU_ITEM, ap, previous);
#line 391 "WifiMenuItem.c"
}


/**
 * Only used for an item which is not displayed: hacky way to have no radio button selected.
 **/
NetworkWifiMenuItem* network_wifi_menu_item_construct_blank (GType object_type) {
	NetworkWifiMenuItem * self = NULL;
	GtkRadioButton* _tmp0_ = NULL;
#line 101 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	self = (NetworkWifiMenuItem*) g_object_new (object_type, NULL);
#line 102 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = (GtkRadioButton*) gtk_radio_button_new (NULL);
#line 102 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp0_);
#line 102 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->radio_button);
#line 102 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	self->priv->radio_button = _tmp0_;
#line 101 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	return self;
#line 413 "WifiMenuItem.c"
}


NetworkWifiMenuItem* network_wifi_menu_item_new_blank (void) {
#line 101 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	return network_wifi_menu_item_construct_blank (NETWORK_TYPE_WIFI_MENU_ITEM);
#line 420 "WifiMenuItem.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 107 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	return self ? g_object_ref (self) : NULL;
#line 427 "WifiMenuItem.c"
}


static void network_wifi_menu_item_update_tmp_ap (NetworkWifiMenuItem* self) {
	guint8 strength = 0U;
	GList* _tmp0_ = NULL;
#line 105 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 106 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	strength = (guint8) 0;
#line 107 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->_ap;
#line 440 "WifiMenuItem.c"
	{
		GList* ap_collection = NULL;
		GList* ap_it = NULL;
#line 107 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		ap_collection = _tmp0_;
#line 107 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		for (ap_it = ap_collection; ap_it != NULL; ap_it = ap_it->next) {
#line 448 "WifiMenuItem.c"
			NMAccessPoint* _tmp1_ = NULL;
			NMAccessPoint* ap = NULL;
#line 107 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
			_tmp1_ = _g_object_ref0 ((NMAccessPoint*) ap_it->data);
#line 107 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
			ap = _tmp1_;
#line 455 "WifiMenuItem.c"
			{
				NMAccessPoint* _tmp2_ = NULL;
				guint8 _tmp3_ = 0U;
				NMAccessPoint* _tmp4_ = NULL;
				guint8 _tmp5_ = 0U;
				NMAccessPoint* _tmp8_ = NULL;
				guint8 _tmp9_ = 0U;
				NMAccessPoint* _tmp10_ = NULL;
				guint8 _tmp11_ = 0U;
				guint8 _tmp12_ = 0U;
#line 108 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				_tmp3_ = strength;
#line 108 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				_tmp4_ = ap;
#line 108 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				_tmp5_ = nm_access_point_get_strength (_tmp4_);
#line 108 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				if (_tmp3_ > _tmp5_) {
#line 474 "WifiMenuItem.c"
					NMAccessPoint* _tmp6_ = NULL;
#line 108 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
					_tmp6_ = self->priv->_tmp_ap;
#line 108 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
					_tmp2_ = _tmp6_;
#line 480 "WifiMenuItem.c"
				} else {
					NMAccessPoint* _tmp7_ = NULL;
#line 108 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
					_tmp7_ = ap;
#line 108 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
					_tmp2_ = _tmp7_;
#line 487 "WifiMenuItem.c"
				}
#line 108 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				_tmp8_ = _g_object_ref0 (_tmp2_);
#line 108 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				_g_object_unref0 (self->priv->_tmp_ap);
#line 108 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				self->priv->_tmp_ap = _tmp8_;
#line 109 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				_tmp9_ = strength;
#line 109 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				_tmp10_ = ap;
#line 109 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				_tmp11_ = nm_access_point_get_strength (_tmp10_);
#line 109 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				_tmp12_ = MAX (_tmp9_, _tmp11_);
#line 109 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				strength = _tmp12_;
#line 107 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				_g_object_unref0 (ap);
#line 507 "WifiMenuItem.c"
			}
		}
	}
}


void network_wifi_menu_item_set_active (NetworkWifiMenuItem* self, gboolean active) {
	GtkRadioButton* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 113 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 114 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->radio_button;
#line 114 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = active;
#line 114 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp0_, _tmp1_);
#line 525 "WifiMenuItem.c"
}


static GSList* network_wifi_menu_item_get_group (NetworkWifiMenuItem* self) {
	GSList* result = NULL;
	GtkRadioButton* _tmp0_ = NULL;
	GSList* _tmp1_ = NULL;
#line 117 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 118 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->radio_button;
#line 118 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = gtk_radio_button_get_group (_tmp0_);
#line 118 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	result = _tmp1_;
#line 118 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	return result;
#line 543 "WifiMenuItem.c"
}


static void network_wifi_menu_item_set_lock_img_tooltip (NetworkWifiMenuItem* self, NM80211ApSecurityFlags flags) {
	NM80211ApSecurityFlags _tmp0_ = 0;
#line 121 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 122 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = flags;
#line 122 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	if ((_tmp0_ & NM_802_11_AP_SEC_GROUP_WEP40) != 0) {
#line 555 "WifiMenuItem.c"
		GtkImage* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
#line 123 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		_tmp1_ = self->priv->lock_img;
#line 123 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		_tmp2_ = _ ("This network uses 40/64-bit WEP encryption.");
#line 123 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		gtk_widget_set_tooltip_text ((GtkWidget*) _tmp1_, _tmp2_);
#line 564 "WifiMenuItem.c"
	} else {
		NM80211ApSecurityFlags _tmp3_ = 0;
#line 124 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		_tmp3_ = flags;
#line 124 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		if ((_tmp3_ & NM_802_11_AP_SEC_GROUP_WEP104) != 0) {
#line 571 "WifiMenuItem.c"
			GtkImage* _tmp4_ = NULL;
			const gchar* _tmp5_ = NULL;
#line 125 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
			_tmp4_ = self->priv->lock_img;
#line 125 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
			_tmp5_ = _ ("This network uses 104/128-bit WEP encryption.");
#line 125 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
			gtk_widget_set_tooltip_text ((GtkWidget*) _tmp4_, _tmp5_);
#line 580 "WifiMenuItem.c"
		} else {
			NM80211ApSecurityFlags _tmp6_ = 0;
#line 126 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
			_tmp6_ = flags;
#line 126 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
			if ((_tmp6_ & NM_802_11_AP_SEC_KEY_MGMT_PSK) != 0) {
#line 587 "WifiMenuItem.c"
				GtkImage* _tmp7_ = NULL;
				const gchar* _tmp8_ = NULL;
#line 127 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				_tmp7_ = self->priv->lock_img;
#line 127 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				_tmp8_ = _ ("This network uses WPA encryption.");
#line 127 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				gtk_widget_set_tooltip_text ((GtkWidget*) _tmp7_, _tmp8_);
#line 596 "WifiMenuItem.c"
			} else {
				GtkImage* _tmp9_ = NULL;
				const gchar* _tmp10_ = NULL;
#line 129 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				_tmp9_ = self->priv->lock_img;
#line 129 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				_tmp10_ = _ ("This network uses encryption.");
#line 129 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				gtk_widget_set_tooltip_text ((GtkWidget*) _tmp9_, _tmp10_);
#line 606 "WifiMenuItem.c"
			}
		}
	}
}


static void network_wifi_menu_item_update (NetworkWifiMenuItem* self) {
	GtkRadioButton* _tmp0_ = NULL;
	NMAccessPoint* _tmp1_ = NULL;
	NMAccessPoint* _tmp2_ = NULL;
	GByteArray* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	GtkImage* _tmp6_ = NULL;
	guint8 _tmp7_ = 0U;
	guint8 _tmp8_ = 0U;
	gchar* _tmp9_ = NULL;
	gchar* _tmp10_ = NULL;
	gchar* _tmp11_ = NULL;
	gchar* _tmp12_ = NULL;
	gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	GtkImage* _tmp15_ = NULL;
	GtkImage* _tmp16_ = NULL;
	gboolean _tmp17_ = FALSE;
	gboolean _tmp18_ = FALSE;
	NMAccessPoint* _tmp19_ = NULL;
	NMAccessPoint* _tmp20_ = NULL;
	NM80211ApSecurityFlags _tmp21_ = 0;
	GtkImage* _tmp22_ = NULL;
	GtkImage* _tmp23_ = NULL;
	gboolean _tmp24_ = FALSE;
	gboolean _tmp25_ = FALSE;
	GtkImage* _tmp26_ = NULL;
	GtkSpinner* _tmp27_ = NULL;
	NetworkState _tmp28_ = 0;
#line 133 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 134 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->radio_button;
#line 134 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = network_wifi_menu_item_get_ap (self);
#line 134 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp2_ = _tmp1_;
#line 134 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp3_ = nm_access_point_get_ssid (_tmp2_);
#line 134 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp4_ = nm_utils_ssid_to_utf8 (_tmp3_);
#line 134 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp5_ = _tmp4_;
#line 134 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_button_set_label ((GtkButton*) _tmp0_, _tmp5_);
#line 134 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_g_free0 (_tmp5_);
#line 139 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp6_ = self->priv->img_strength;
#line 139 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp7_ = network_wifi_menu_item_get_strength (self);
#line 139 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp8_ = _tmp7_;
#line 139 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp9_ = network_wifi_menu_item_strength_to_string (self, _tmp8_);
#line 139 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp10_ = _tmp9_;
#line 139 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp11_ = g_strconcat ("network-wireless-signal-", _tmp10_, NULL);
#line 139 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp12_ = _tmp11_;
#line 139 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp13_ = g_strconcat (_tmp12_, "-symbolic", NULL);
#line 139 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp14_ = _tmp13_;
#line 139 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_image_set_from_icon_name (_tmp6_, _tmp14_, GTK_ICON_SIZE_MENU);
#line 139 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_g_free0 (_tmp14_);
#line 139 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_g_free0 (_tmp12_);
#line 139 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_g_free0 (_tmp10_);
#line 140 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp15_ = self->priv->img_strength;
#line 140 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp15_);
#line 142 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp16_ = self->priv->lock_img;
#line 142 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp17_ = network_wifi_menu_item_get_is_secured (self);
#line 142 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp18_ = _tmp17_;
#line 142 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp16_, _tmp18_);
#line 143 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp19_ = network_wifi_menu_item_get_ap (self);
#line 143 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp20_ = _tmp19_;
#line 143 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp21_ = nm_access_point_get_wpa_flags (_tmp20_);
#line 143 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_set_lock_img_tooltip (self, _tmp21_);
#line 144 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp22_ = self->priv->lock_img;
#line 144 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp23_ = self->priv->lock_img;
#line 144 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp24_ = gtk_widget_get_visible ((GtkWidget*) _tmp23_);
#line 144 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp25_ = _tmp24_;
#line 144 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_no_show_all ((GtkWidget*) _tmp22_, !_tmp25_);
#line 146 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp26_ = self->priv->error_img;
#line 146 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_hide_item (self, (GtkWidget*) _tmp26_);
#line 147 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp27_ = self->priv->spinner;
#line 147 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_hide_item (self, (GtkWidget*) _tmp27_);
#line 151 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp28_ = self->priv->_state;
#line 151 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	switch (_tmp28_) {
#line 151 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_STATE_FAILED_WIFI:
#line 731 "WifiMenuItem.c"
		{
			GtkImage* _tmp29_ = NULL;
#line 153 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
			_tmp29_ = self->priv->error_img;
#line 153 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
			network_wifi_menu_item_show_item (self, (GtkWidget*) _tmp29_);
#line 154 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
			break;
#line 740 "WifiMenuItem.c"
		}
#line 151 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_STATE_CONNECTING_WIFI:
#line 744 "WifiMenuItem.c"
		{
			GtkSpinner* _tmp30_ = NULL;
			GtkRadioButton* _tmp31_ = NULL;
			gboolean _tmp32_ = FALSE;
			gboolean _tmp33_ = FALSE;
#line 156 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
			_tmp30_ = self->priv->spinner;
#line 156 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
			network_wifi_menu_item_show_item (self, (GtkWidget*) _tmp30_);
#line 157 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
			_tmp31_ = self->priv->radio_button;
#line 157 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
			_tmp32_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp31_);
#line 157 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
			_tmp33_ = _tmp32_;
#line 157 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
			if (!_tmp33_) {
#line 158 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				g_critical ("WifiMenuItem.vala:158: An access point is being connected but not acti" \
"ve.");
#line 764 "WifiMenuItem.c"
			}
#line 160 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
			break;
#line 768 "WifiMenuItem.c"
		}
		default:
#line 151 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 773 "WifiMenuItem.c"
	}
}


void network_wifi_menu_item_hide_icons (NetworkWifiMenuItem* self) {
#line 164 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 781 "WifiMenuItem.c"
}


static void network_wifi_menu_item_show_item (NetworkWifiMenuItem* self, GtkWidget* w) {
	GtkWidget* _tmp0_ = NULL;
	GtkWidget* _tmp1_ = NULL;
	GtkWidget* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	gboolean _tmp4_ = FALSE;
#line 173 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 173 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (w != NULL);
#line 174 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = w;
#line 174 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_visible (_tmp0_, TRUE);
#line 175 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = w;
#line 175 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp2_ = w;
#line 175 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp3_ = gtk_widget_get_visible (_tmp2_);
#line 175 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp4_ = _tmp3_;
#line 175 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_no_show_all (_tmp1_, !_tmp4_);
#line 809 "WifiMenuItem.c"
}


static void network_wifi_menu_item_hide_item (NetworkWifiMenuItem* self, GtkWidget* w) {
	GtkWidget* _tmp0_ = NULL;
	GtkWidget* _tmp1_ = NULL;
	GtkWidget* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	gboolean _tmp4_ = FALSE;
	GtkWidget* _tmp5_ = NULL;
#line 178 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 178 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (w != NULL);
#line 179 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = w;
#line 179 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_visible (_tmp0_, FALSE);
#line 180 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = w;
#line 180 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp2_ = w;
#line 180 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp3_ = gtk_widget_get_visible (_tmp2_);
#line 180 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp4_ = _tmp3_;
#line 180 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_set_no_show_all (_tmp1_, !_tmp4_);
#line 181 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp5_ = w;
#line 181 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	gtk_widget_hide (_tmp5_);
#line 842 "WifiMenuItem.c"
}


void network_wifi_menu_item_add_ap (NetworkWifiMenuItem* self, NMAccessPoint* ap) {
	NMAccessPoint* _tmp0_ = NULL;
	NMAccessPoint* _tmp1_ = NULL;
#line 184 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 184 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (ap != NULL);
#line 185 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = ap;
#line 185 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 185 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	self->priv->_ap = g_list_append (self->priv->_ap, _tmp1_);
#line 186 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_update_tmp_ap (self);
#line 188 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_update (self);
#line 863 "WifiMenuItem.c"
}


static gchar* network_wifi_menu_item_strength_to_string (NetworkWifiMenuItem* self, guint8 strength) {
	gchar* result = NULL;
	guint8 _tmp0_ = 0U;
#line 191 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 192 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = strength;
#line 192 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	if (((gint) _tmp0_) < 30) {
#line 876 "WifiMenuItem.c"
		gchar* _tmp1_ = NULL;
#line 193 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		_tmp1_ = g_strdup ("weak");
#line 193 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		result = _tmp1_;
#line 193 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		return result;
#line 884 "WifiMenuItem.c"
	} else {
		guint8 _tmp2_ = 0U;
#line 194 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		_tmp2_ = strength;
#line 194 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		if (((gint) _tmp2_) < 55) {
#line 891 "WifiMenuItem.c"
			gchar* _tmp3_ = NULL;
#line 195 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
			_tmp3_ = g_strdup ("ok");
#line 195 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
			result = _tmp3_;
#line 195 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
			return result;
#line 899 "WifiMenuItem.c"
		} else {
			guint8 _tmp4_ = 0U;
#line 196 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
			_tmp4_ = strength;
#line 196 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
			if (((gint) _tmp4_) < 80) {
#line 906 "WifiMenuItem.c"
				gchar* _tmp5_ = NULL;
#line 197 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				_tmp5_ = g_strdup ("good");
#line 197 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				result = _tmp5_;
#line 197 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				return result;
#line 914 "WifiMenuItem.c"
			} else {
				gchar* _tmp6_ = NULL;
#line 199 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				_tmp6_ = g_strdup ("excellent");
#line 199 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				result = _tmp6_;
#line 199 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				return result;
#line 923 "WifiMenuItem.c"
			}
		}
	}
}


gboolean network_wifi_menu_item_remove_ap (NetworkWifiMenuItem* self, NMAccessPoint* ap) {
	gboolean result = FALSE;
	NMAccessPoint* _tmp0_ = NULL;
	GList* _tmp1_ = NULL;
	guint _tmp2_ = 0U;
#line 203 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 203 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (ap != NULL, FALSE);
#line 204 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = ap;
#line 204 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	self->priv->_ap = g_list_remove (self->priv->_ap, _tmp0_);
#line 205 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_update_tmp_ap (self);
#line 206 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = self->priv->_ap;
#line 206 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp2_ = g_list_length (_tmp1_);
#line 206 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	result = _tmp2_ > ((guint) 0);
#line 206 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	return result;
#line 953 "WifiMenuItem.c"
}


GByteArray* network_wifi_menu_item_get_ssid (NetworkWifiMenuItem* self) {
	GByteArray* result;
	NMAccessPoint* _tmp0_ = NULL;
	GByteArray* _tmp1_ = NULL;
#line 22 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 23 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->_tmp_ap;
#line 23 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = nm_access_point_get_ssid (_tmp0_);
#line 23 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	result = _tmp1_;
#line 23 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	return result;
#line 971 "WifiMenuItem.c"
}


NetworkState network_wifi_menu_item_get_state (NetworkWifiMenuItem* self) {
	NetworkState result;
	NetworkState _tmp0_ = 0;
#line 27 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 27 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->_state;
#line 27 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	result = _tmp0_;
#line 27 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	return result;
#line 986 "WifiMenuItem.c"
}


void network_wifi_menu_item_set_state (NetworkWifiMenuItem* self, NetworkState value) {
	NetworkState _tmp0_ = 0;
#line 27 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 27 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = value;
#line 27 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	self->priv->_state = _tmp0_;
#line 27 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_object_notify ((GObject *) self, "state");
#line 1000 "WifiMenuItem.c"
}


guint8 network_wifi_menu_item_get_strength (NetworkWifiMenuItem* self) {
	guint8 result;
	guint8 strength = 0U;
	GList* _tmp0_ = NULL;
	guint8 _tmp6_ = 0U;
#line 30 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 31 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	strength = (guint8) 0;
#line 32 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->_ap;
#line 1015 "WifiMenuItem.c"
	{
		GList* ap_collection = NULL;
		GList* ap_it = NULL;
#line 32 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		ap_collection = _tmp0_;
#line 32 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		for (ap_it = ap_collection; ap_it != NULL; ap_it = ap_it->next) {
#line 1023 "WifiMenuItem.c"
			NMAccessPoint* _tmp1_ = NULL;
			NMAccessPoint* ap = NULL;
#line 32 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
			_tmp1_ = _g_object_ref0 ((NMAccessPoint*) ap_it->data);
#line 32 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
			ap = _tmp1_;
#line 1030 "WifiMenuItem.c"
			{
				guint8 _tmp2_ = 0U;
				NMAccessPoint* _tmp3_ = NULL;
				guint8 _tmp4_ = 0U;
				guint8 _tmp5_ = 0U;
#line 33 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				_tmp2_ = strength;
#line 33 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				_tmp3_ = ap;
#line 33 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				_tmp4_ = nm_access_point_get_strength (_tmp3_);
#line 33 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				_tmp5_ = MAX (_tmp2_, _tmp4_);
#line 33 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				strength = _tmp5_;
#line 32 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
				_g_object_unref0 (ap);
#line 1048 "WifiMenuItem.c"
			}
		}
	}
#line 35 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp6_ = strength;
#line 35 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	result = _tmp6_;
#line 35 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	return result;
#line 1058 "WifiMenuItem.c"
}


gboolean network_wifi_menu_item_get_is_secured (NetworkWifiMenuItem* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
	NMAccessPoint* _tmp1_ = NULL;
	NMAccessPoint* _tmp2_ = NULL;
	NM80211ApSecurityFlags _tmp3_ = 0;
#line 40 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 41 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp1_ = network_wifi_menu_item_get_ap (self);
#line 41 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp2_ = _tmp1_;
#line 41 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp3_ = nm_access_point_get_wpa_flags (_tmp2_);
#line 41 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	if (_tmp3_ != NM_802_11_AP_SEC_NONE) {
#line 41 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		_tmp0_ = TRUE;
#line 1080 "WifiMenuItem.c"
	} else {
		NMAccessPoint* _tmp4_ = NULL;
		NMAccessPoint* _tmp5_ = NULL;
		NM80211ApSecurityFlags _tmp6_ = 0;
#line 41 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		_tmp4_ = network_wifi_menu_item_get_ap (self);
#line 41 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		_tmp5_ = _tmp4_;
#line 41 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		_tmp6_ = nm_access_point_get_rsn_flags (_tmp5_);
#line 41 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		_tmp0_ = _tmp6_ != NM_802_11_AP_SEC_NONE;
#line 1093 "WifiMenuItem.c"
	}
#line 41 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	result = _tmp0_;
#line 41 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	return result;
#line 1099 "WifiMenuItem.c"
}


NMAccessPoint* network_wifi_menu_item_get_ap (NetworkWifiMenuItem* self) {
	NMAccessPoint* result;
	NMAccessPoint* _tmp0_ = NULL;
#line 45 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 45 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->_tmp_ap;
#line 45 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	result = _tmp0_;
#line 45 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	return result;
#line 1114 "WifiMenuItem.c"
}


static void network_wifi_menu_item_class_init (NetworkWifiMenuItemClass * klass) {
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_parent_class = g_type_class_peek_parent (klass);
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_type_class_add_private (klass, sizeof (NetworkWifiMenuItemPrivate));
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_network_wifi_menu_item_get_property;
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_network_wifi_menu_item_set_property;
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	G_OBJECT_CLASS (klass)->finalize = network_wifi_menu_item_finalize;
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_WIFI_MENU_ITEM_SSID, g_param_spec_boxed ("ssid", "ssid", "ssid", G_TYPE_BYTE_ARRAY, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_WIFI_MENU_ITEM_STATE, g_param_spec_enum ("state", "state", "state", NETWORK_TYPE_STATE, NETWORK_STATE_DISCONNECTED, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_WIFI_MENU_ITEM_STRENGTH, g_param_spec_uchar ("strength", "strength", "strength", 0, G_MAXUINT8, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_WIFI_MENU_ITEM_IS_SECURED, g_param_spec_boolean ("is-secured", "is-secured", "is-secured", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_WIFI_MENU_ITEM_AP, g_param_spec_object ("ap", "ap", "ap", nm_access_point_get_type (), G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	g_signal_new ("user_action", NETWORK_TYPE_WIFI_MENU_ITEM, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 1141 "WifiMenuItem.c"
}


static void network_wifi_menu_item_instance_init (NetworkWifiMenuItem * self) {
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	self->priv = NETWORK_WIFI_MENU_ITEM_GET_PRIVATE (self);
#line 27 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	self->priv->_state = NETWORK_STATE_DISCONNECTED;
#line 1150 "WifiMenuItem.c"
}


static void network_wifi_menu_item_finalize (GObject* obj) {
	NetworkWifiMenuItem * self;
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem);
#line 19 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	__g_list_free__g_object_unref0_0 (self->priv->_ap);
#line 46 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->_tmp_ap);
#line 48 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->radio_button);
#line 49 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->img_strength);
#line 50 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->lock_img);
#line 51 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->error_img);
#line 52 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->spinner);
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	G_OBJECT_CLASS (network_wifi_menu_item_parent_class)->finalize (obj);
#line 1174 "WifiMenuItem.c"
}


GType network_wifi_menu_item_get_type (void) {
	static volatile gsize network_wifi_menu_item_type_id__volatile = 0;
	if (g_once_init_enter (&network_wifi_menu_item_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NetworkWifiMenuItemClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) network_wifi_menu_item_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NetworkWifiMenuItem), 0, (GInstanceInitFunc) network_wifi_menu_item_instance_init, NULL };
		GType network_wifi_menu_item_type_id;
		network_wifi_menu_item_type_id = g_type_register_static (gtk_list_box_row_get_type (), "NetworkWifiMenuItem", &g_define_type_info, 0);
		g_once_init_leave (&network_wifi_menu_item_type_id__volatile, network_wifi_menu_item_type_id);
	}
	return network_wifi_menu_item_type_id__volatile;
}


static void _vala_network_wifi_menu_item_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NetworkWifiMenuItem * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem);
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	switch (property_id) {
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_SSID:
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		g_value_set_boxed (value, network_wifi_menu_item_get_ssid (self));
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_STATE:
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		g_value_set_enum (value, network_wifi_menu_item_get_state (self));
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_STRENGTH:
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		g_value_set_uchar (value, network_wifi_menu_item_get_strength (self));
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_IS_SECURED:
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		g_value_set_boolean (value, network_wifi_menu_item_get_is_secured (self));
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_AP:
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		g_value_set_object (value, network_wifi_menu_item_get_ap (self));
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 1225 "WifiMenuItem.c"
		default:
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 1231 "WifiMenuItem.c"
	}
}


static void _vala_network_wifi_menu_item_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NetworkWifiMenuItem * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem);
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
	switch (property_id) {
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_STATE:
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		network_wifi_menu_item_set_state (self, g_value_get_enum (value));
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 1247 "WifiMenuItem.c"
		default:
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 18 "/builddir/build/BUILD/wingpanel-indicator-network-2.0.2/src/common/Widgets/WifiMenuItem.vala"
		break;
#line 1253 "WifiMenuItem.c"
	}
}



